Summary:        asynchronous REST C++11 library
Name:           restbed
Version:        4.0
Release:	   %mkrel 2
License:        GPLv2+
Group:          System/Libraries
URL:            http://www.corvusoft.co.uk
Source0:        https://github.com/Corvusoft/restbed/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         version-so.patch
Patch1:         usr-lib.patch

BuildRequires:  cmake
BuildRequires:  asio
BuildRequires:  libopenssl-devel

%description
Corvusoft's Restbed framework brings asynchronous RESTful functionality
to C++11 applications.

#--------------------------------------------------------------------

%define major 0
%define librestbed %mklibname restbed %{major}

%package -n %librestbed
Summary:        asynchronous REST C++11 library
Group:          System/Libraries

%description -n %librestbed
asynchronous REST C++11 library.

%files -n %librestbed
%_libdir/librestbed.so.%{major}*

#--------------------------------------------------------------------

%define librestbed_devel %mklibname restbed -d

%package -n %librestbed_devel
Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %librestbed >= %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %librestbed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %librestbed_devel
%_includedir/corvusoft/restbed
%_includedir/restbed
%_libdir/librestbed.so

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -e 's,MGALIB,%{_libdir},g' -i CMakeLists.txt

%build
%cmake -DBUILD_SHARED=ON
%make_build

%install
rm -rf %buildroot
%make_install -C build


%changelog
* Thu Jun 29 2017 adrianomorselli <adrianomorselli> 4.0-2uplos2017
- imported for uplos
